diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 0b14f40..ace1192 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1237,6 +1237,11 @@ IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
 \bibitem[Bro90]{Bro90}
 Bronstein, Manuel ``Integration of Elementary Functions''
 J. Symbolic Computation (199) 9, pp117-173 September 1988
+\bibitem[REF-BS93]{REF-BS93}
+Manuel Bronstein and Bruno Salvy ``Full partial fraction decomposition of
+rational functions'' In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2
+LCCN QA76.95 I59 1993
+\verb|http://www.acm.org/pubs/citations/proceedings/issac/164081/|
 \bibitem[Bro98]{Bro98}
 Bronstein, Manuel "Symbolic Integration Tutorial"
 INRIA Sophia Antipolis ISSAC 1998 Rostock
@@ -1301,6 +1306,9 @@ Comms. of the ACM, 17, 276-277.
 Garcia, A. and Stichtenoth, H.
 ``A tower of Artin-Schreier extensions of function fields attaining the 
 Drinfeld-Vladut bound'' Invent. Math., vol. 121, 1995, pp. 211--222.
+\bibitem[God40]{God40}
+Goedel, "The consistency of the continuum hypothesis",
+Ann. Math. Studies, Princeton Univ. Press, 1940
 \bibitem[GL89]{GL89}
 Golub, Gene H. and Van Loan, Charles F.
 ``Matrix Computations''
@@ -1354,12 +1362,21 @@ November 1995, pp. 1615--1628.
 \bibitem[Hou81]{Hou81}
 Householder, Alston S. ``Principles of Numerical Analysis''
 Dover Publications, Mineola, NY ISBN 0-486-45312-X (1981)
+\bibitem[IBM]{IBM}
+SCRIPT Mathematical Formula Formatter User's Guide, SH20-6453,
+IBM Corporation, Publishing Systems Information Development,
+Dept. G68, P.O. Box 1900, Boulder, Colorado, USA 80301-9191.
 \bibitem[Iya77]{Iya77}
 Shokichi Iyanaga and Yukiyosi Kawada Iyanaga
 ``Encyclopedic Dictionary of Mathematics'' 1977
 \bibitem[Jac68]{Jac68}
 N. Jacobson, ``Structure and Representations of Jordan Algebras''
 AMS, Colloquium Publications Volume 39
+\bibitem[JK
+Gordon James and Adalbert Kerber
+``The Representation Theory of the Symmetric Group''
+Encyclopedia of Mathematics and its Applications Vol. 16
+Addison-Wesley, 1981
 \bibitem[Je04]{Je04}
 Jeffrey, Alan ``Handbook of Mathematical Formulas and Integrals''
 Third Edition, Elsevier Academic Press ISBN 0-12-382256-4
@@ -1416,7 +1433,7 @@ functions: Rational computation of the logarithmic part''
 \bibitem[LN83]{LN83}
 R.Lidl, H.Niederreiter 
 ``Finite Field, Encycoldia of Mathematics and Its Applications'', 
-Vol. 20, Cambridge Univ. Press, 1983
+Vol. 20, Cambridge Univ. Press, 1983 ISBN 0-521-30240-4
 \bibitem[LMW79]{LMW79}
 Linger, Richard C.; Mills, Harlan D.; and Witt, Bernard I.
 ``Structured Programming: Theory and Practice''
@@ -1500,6 +1517,9 @@ Science of Computer Programming V75 No.11 Nov 2010 pp980-1000 Elesevier
 Parnas, David Lorge and Madey, Jan
 ``Functional Documents for Computer Systems''
 Science of Computer Programming V25 No.1 Oct 1995 pp41-61 Elesevier
+\bibitem[Paul81]{Paul81}
+Richard Paul ``Robot Manipulators''
+MIT Press 1981
 \bibitem[Pra73]{Pra73}
 Pratt, Vaughan R. ``Top down operator precedence''
 POPL '73 Proceedings of the 1st annual ACM SIGACT-SIGPLAN symposium on
@@ -1519,6 +1539,9 @@ Mathematical Software, 32(2):180-194, June 2006.
 \bibitem[Ra03]{Ra03}
 Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for Literate Programming''
 \verb|www.eecs.harvard.edu/~nr/noweb|
+\bibitem[Re93]{Re93}
+Christophe Reutenauer ``Free Lie Algebras''
+Oxford University Press, June 1993 ISBN 0198536798
 \bibitem[Ri10]{Ri10}
 Rich, Albert D. ``Rule-based Mathematics'' \verb|www.apmaths.uwo.ca/~arich|
 \bibitem[RF94]{RF94}
@@ -1564,6 +1587,13 @@ MACSYMA Users Conference}, pages 263-274. NASA Pub CP-2012, 1977
 \bibitem[Sch66]{Sch66}
 R.D. Schafer ``An Introduction to Nonassociative Algebras''
 Academic Press, New York, 1966
+\bibitem[Sims71]{Sims71}
+C. Sims ``Determining the Conjugacy Classes of a Permutation Group''
+Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
+American Math. Soc., 1991, pp191-195
+\bibitem[Sit92]{Sit92}
+William Sit, ``An Algorithm for Parametric Linear Systems''
+J. Sym. Comp., April 1992
 \bibitem[Ste90]{Ste90}
 Steele, Guy L. ``Common Lisp The Language'' Second Edition
 ISBN 1-55558-041-6 Digital Press (1990)
@@ -1586,6 +1616,9 @@ PhD thesis, MIT, Computer Science, 1984
 M. van Hoeij. ``An algorithm for computing an integral
 basis in an algebraic function field'' {\sl J. Symbolic Computation}
 18(4):353-364, October 1994
+\bibitem[Wang92]{Wang92}
+D.M. Wang ``An implementation of the characteristic set method in Maple''
+Proc. DISCO'92 Bath, England
 \bibitem[Wa03]{Wa03}
 Watt, Stephen, ``Aldor'', \verb|www.aldor.org|
 \bibitem[We71]{We71}
@@ -1604,6 +1637,9 @@ formerly known as TBNL''
 \verb|www.weitz.de/hunchentoot/|
 \bibitem[Wo09]{Wo09}
 Wolfram Research, \verb|mathworld.wolfram.com/Quaternion.html|
+\bibitem[WU87]{WU87}
+W.T. Wu ``A Zero Structure Theorem for polynomial equations solving''
+MM Research Preprints, 1987
 \bibitem[Yu76]{Yu76}
 D.Y.Y. Yun. ``On square-free decomposition algorithms''
 {\sl Proceedings of SYMSAC'76} pages 26-35, 1976
@@ -1612,5 +1648,8 @@ D.Y.Y. Yun. ``On square-free decomposition algorithms''
 \bibitem[Wis91]{Wis91}
 R. Wisbauer, ``Bimodule Structure of Algebra''
 Lecture Notes Univ. Duesseldorf 1991
+\bibitem[Woe80]{Woe80}
+A. Woerz-Busekros: ``Algebra in Genetics''
+Lectures Notes in Biomathematics 36, Springer-Verlag,  Heidelberg, 1980
 \end{thebibliography}
 \end{document}
diff --git a/changelog b/changelog
index 328dc18..ed82f4b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130229 tpd src/axiom-website/patches.html 20130229.01.tpd.patch
+20130229 tpd books/bookvolbib add references
 20130228 tpd src/axiom-website/patches.html 20130228.02.tpd.patch
 20130228 tpd books/bookvol10.2 write help documentation for all categories
 20130228 tpd src/axiom-website/patches.html 20130228.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e3fb43b..6fe53d8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3999,5 +3999,7 @@ books/bookvol10.4 add U32VectorPolynomialOperations
 books/bookvolbib add references
 <a href="patches/20130228.02.tpd.patch">20130228.02.tpd.patch</a>
 books/bookvol10.2 write help documentation for all categories
+<a href="patches/20130229.01.tpd.patch">20130229.01.tpd.patch</a>
+books/bookvolbib add references
  </body>
 </html>
